hr .linha {
  display: block;
  margin-top: 0.5em;
  margin-bottom: 0.5em;
  margin-left: auto;
  margin-right: auto;
  border-style: inset;
  border-width: 1px;
  border-color: rgb(255, 0, 0);
}

body {
  font-family: 'Oswald', sans-serif;
  font-optical-sizing: auto;
  font-weight: 700;
  font-style: normal;

}


.oswald-bosta {
  font-family: 'Oswald', sans-serif;
  font-optical-sizing: auto;
  font-weight: 700;
  letter-spacing: 0.3vh;
  font-style: normal;
}


.lancamentos {

  font-family: 'Oswald', sans-serif;
}



.container-destaque {
  width: 100%;
  margin: 0 auto;
  height: fit-content;
  padding: 20px;
  background-color: #f3f3f3;
  border-radius: 8px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);

}

.container-destaque .text {
  text-align: right;
  color: black;
  font-family: 'Oswald', sans-serif;
  font-optical-sizing: auto;
  font-weight: 700;
  font-style: normal;
}



div.scrollmenu {
  background-color: #f1f1f1;
  overflow-x: scroll;
  white-space: nowrap;
}

div.scrollmenu a {
  display: inline-block;
  color: white;
  text-align: center;
  padding: 14px;
  text-decoration: none;
}

div.scrollmenu a:hover {
  background-color: #e0e0e0;
}






.wrapper {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.link_wrapper {
  position: relative;
}

.wrapper a {
  display: block;
  width: 250px;
  height: 50px;
  line-height: 50px;
  font-weight: bold;
  text-decoration: none;
  background: #333;
  text-align: center;
  color: #fff;
  text-transform: uppercase;
  letter-spacing: 1px;
  border: 3px solid #333;
  transition: all .35s;
}

.icon {
  width: 50px;
  height: 50px;
  border: 3px solid transparent;
  position: absolute;
  transform: rotate(45deg);
  right: 0;
  top: 0;
  z-index: -1;
  transition: all .35s;
}

.icon svg {
  width: 30px;
  position: absolute;
  top: calc(50% - 15px);
  left: calc(50% - 15px);
  transform: rotate(-45deg);
  fill: #360000;
  transition: all .35s;
}

.wrapper a:hover {
  width: 200px;
  border: 3px solid #360000;
  background: transparent;
  color: #360000;
}

.wrapper a:hover+.icon {
  border: 3px solid #360000;
  right: -25%;
}


.container-categorias {
  width: 100%;
  height: 100%;
  background-color: black;

  text-align: right;
  color: rgb(255, 255, 255);
  font-family: 'Oswald', sans-serif;
  font-optical-sizing: auto;
  font-size: 5vh;
  font-weight: 700;
  font-style: normal;

}


.container-categorias-icones {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  
}

.card-categoria {
 
  margin: 10px;
  flex: 1 1 calc(25% - 20px); /* 4 cards in a row */
  display: flex;
  align-items: center;
  padding: 15px;
}

.card-categoria img {
  max-width: 100%;
  border-radius: 5px;
}

.card-categoria h2 {
  margin: 10px 0;
  font-size: 1.5em;
}

.card-categoria p {
  text-align: center;
}

/* Responsividade */
@media (max-width: 768px) {
  .card-categoria {
      flex: 1 1 calc(50% - 20px); /* 2 cards em uma linha */
  }
}





.flex-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  max-width: 1200px;
  /* Limite de largura para telas grandes */
  margin: auto;
  /* Centraliza a container */
}

.flex-container>div {


  margin: 10px;
  padding: 20px;
  font-size: 3vh;
}

@media (max-width: 768px) {
  .flex-container {
     display: initial;
      /* 2 produtos por linha */
  }
}


.flex-container>p {
  font-family: 'Oswald', sans-serif;
  font-optical-sizing: auto;
  font-weight: 700;
  font-style: normal;
  align-items: end;

}


.metade {
  flex: 1;
  overflow: hidden;
}

.flex-container button {
  color: rgb(0, 0, 0);
  background-color: rgb(255, 255, 255);
  font-family: "Bokor", system-ui;
  font-weight: 400;
  font-style: normal;
  width: 100%;
  height: auto;
  border: 1 px solid black;
 
  box-shadow: 15px #333;


}

.flex-container button:hover {
  color: rgb(255, 255, 255);
  background-color: rgb(0, 0, 0);
animation: shake 0.3s;

}




.topnav input[type=text] {
  padding: 6px;
  margin-top: 8px;
  font-size: 17px;
  border: none;
  font-family: 'Oswald', sans-serif;
  font-optical-sizing: auto;
  font-weight: 700;
  font-style: normal;
}

.topnav .search-container button {

  padding: 6px 10px;
  margin-top: 8px;
  margin-right: 16px;
  background: #ddd;
  font-size: 17px;
  border: none;
  cursor: pointer;
}

.topnav .search-container button:hover {
  background: #ccc;
}

@media screen and (max-width: 600px) {
  .topnav .search-container {
    float: none;
  }

  .topnav a,
  .topnav input[type=text],
  .topnav .search-container button {
    float: none;
    display: block;
    text-align: left;
    width: 100%;
    margin: 0;
    padding: 14px;
  }

  .topnav input[type=text] {
    border: 1px solid #ccc;
  }
}


.login {
  background-color: black;
  height: 30px;
  width: 100%;
  color: white;
  font-family: 'Oswald', sans-serif;
  padding-left: 15px;
}



.explorar-top h1 {
  font-family: 'Oswald', sans-serif;
  font-optical-sizing: auto;
  font-weight: 700;
  font-size: 5vh;
  margin: 0 auto;

  letter-spacing: 9vw;
}

.explorar-top-icon {
  font-family: 'Oswald', sans-serif;
  font-optical-sizing: auto;

  font-weight: 700;
  font-style: normal;
  border: 2px solid #000000;
  width: 25vh;
  height: auto;


  margin-left: 15%;
  margin-bottom: 2%;
  align-items: center;
  font-size: 2vh;
  padding: 1px;


}

.explorar-top-icon img {
  width: 20%;
  height: 20%;


}

.explorar-top :hover {

  box-shadow: 0px 1px 1px #000000;
  cursor: pointer;

}

.explorar-text {
  font-family: "Bokor", system-ui;
  font-weight: 400;
  font-style: normal;
  font-size: 7vw;

  text-align: center;
  letter-spacing: 4vw;
}

.jacquard-24-regular {
  font-family: "Jacquard 24", system-ui;
  font-weight: 400;
  font-style: normal;
}

.lançamentos-nomes {
  font-family: "Bokor", system-ui;
  font-weight: 400;
  font-style: normal;
  color: black;
  margin-left: 2%;
  font-size: 6vh;
}

.lancamentos-titulo {
  font-family: "Bokor", system-ui;
  font-weight: 400;
  font-style: normal;
  font-size: 3vw;


}

.lancamentos-nomes-descricao {
  font-family: 'Oswald', sans-serif;
  font-optical-sizing: auto;
  font-weight: 700;
  font-size: 2vw;


}


@media (max-width: 768px) {
  .lancamentos-nomes-descricao {
      font-size: 3vh;
      /* 2 produtos por linha */
  }
}





@media (max-width: 768px) {
  .lancamentos-titulo {
      font-size: 4vh;
      /* 2 produtos por linha */
  }
}

.diabo {
  font-family: "Bokor", system-ui;
  font-weight: 400;
  font-style: normal;
  font-size: 6.4vh;
}


.novo {
  font-family: "Bokor", system-ui;
  font-weight: 400;
  font-style: normal;
  font-size: 2.4vh;
  color: #135f33;

  width: 90px;
  height: 30px;

  border-radius: 0px;

}


.promo {
  font-family: "Bokor", system-ui;
  font-weight: 400;
  font-style: normal;
  font-size: 2.4vh;
  color: #145671;

  width: 90px;
  height: 30px;

  border-radius: 0px;


}


.promo-text {
  color: #145671;
  font-family: 'Oswald', sans-serif;
  font-optical-sizing: auto;
  font-weight: 700;

}

.preco {
  font-family: 'Oswald', sans-serif;
  font-optical-sizing: auto;
  font-weight: 700;
}

.nav-secoes {
  color: white;
  margin: 0 auto;
  font-size: 3vh;
  font-family: 'Oswald', sans-serif;
  font-weight: 400;
  font-style: normal;
}


.nav-secoes:hover {
  animation: shake 0.3s;

}

.rodape {
  background-color: black;
  color: white;
  height: auto;
  width: 100%;
  font-size: 14px;
  font-family: helvetica;
}

.rodape a {
  text-decoration: none;
  color: white;
}

.rodape p {
  margin-bottom: 5px;
}

.rodape-div {
  display: flex;
  flex-wrap: wrap;
  width: 100%;
  margin: auto;
  align-items: stretch;
  padding: 60px 10px 40px 10px;
}

.rodape-div-1,
.rodape-div-2,
.rodape-div-3,
.rodape-div-4 {
  display: flex;
  width: calc(100% / 4 - 20px);
  padding: 10px;
}

.rodape span {
  font-size: 20px;
  color: white;
}

.rodape-direitos {
  width: calc(100% - 20px);
  background-color: black;
  padding: 10px;
  margin: 0px;
  text-align: center;
  
}

/*mobile*/
@media (max-width: 768px) {

  .rodape-div-1,
  .rodape-div-2,
  .rodape-div-3,
  .rodape-div-4 {
    width: calc(50% - 20px);
    padding: 10px;
  }

  .rodape-div {
    padding: 60px 0px 40px 0px;
  }
}






/* Dropdown Content (Hidden by Default) */
.dropNav-content {
  display: none;
  position: absolute;
  background-color: #f1f1f1;

  box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
  z-index: 1;
}



/* Links inside the dropdown */
.dropNav-content a {
  color: black;
  padding: 12px 16px;
  text-decoration: none;
  margin: 0 auto;
  display: block;

}

/* Change color of dropdown links on hover */
.dropNav-content a:hover {
  background-color: #ddd;
}

/* Show the dropdown menu on hover */
.dropNav:hover .dropNav-content {
  display: block;


}

/* Change the background color of the dropdown button when the dropdown content is shown */
.dropNav:hover .nav-secoes {
  color: #ffffff;
}


.alinhar-icones {
  align-items: center;
  justify-content: center;
}





@keyframes shake {
  0% {
    transform: translate(1px, 1px) rotate(0deg);
  }

  10% {
    transform: translate(-1px, -2px) rotate(-1deg);
  }

  20% {
    transform: translate(-3px, 0px) rotate(1deg);
  }

  30% {
    transform: translate(3px, 2px) rotate(0deg);
  }

  40% {
    transform: translate(1px, -1px) rotate(1deg);
  }

  50% {
    transform: translate(-1px, 2px) rotate(-1deg);
  }

  60% {
    transform: translate(-3px, 1px) rotate(0deg);
  }

  70% {
    transform: translate(3px, 1px) rotate(-1deg);
  }

  80% {
    transform: translate(-1px, -1px) rotate(1deg);
  }

  90% {
    transform: translate(1px, 2px) rotate(0deg);
  }

  100% {
    transform: translate(1px, -2px) rotate(-1deg);
  }
}

* {
  box-sizing: border-box;
  /* Para garantir que padding e margin não afetem a largura */
}

.container-lancamentos {
  display: flex;
  overflow-x: hidden;
  /* Esconde a barra de rolagem */
  width: 100%;
  /* Ajuste para ocupar a largura total */
}

.images {
  display: flex;
  animation: scroll 20s linear infinite;
  /* Ajuste a duração conforme necessário */
}

.image {
  flex: 0 0 auto;
  /* Não permitir que as imagens encolham */
  width: 15vw;
  /* Usando uma unidade relativa para largura responsiva */
  height: auto;
  /* Altura automática */
  margin: 1rem;
  /* Margem responsiva */
  border: 0.2px solid rgb(187, 187, 187);
}

/* Animação para o scroll */
@keyframes scroll {
  from {
    transform: translateX(0);
  }

  to {
    transform: translateX(-50%);
    /* Mova para a esquerda */
  }
}

/* Media Queries para diferentes tamanhos de tela */
@media (max-width: 768px) {
  .image {
    width: 30vw;
    /* Aumenta a largura em telas menores */
  }
}

@media (max-width: 480px) {
  .image {
    width: 45vw;
    /* Aumenta ainda mais em telas pequenas */
  }
}


.flip-card {
  background-color: transparent;
  width: 10vw;
  height: 10vw;
  font-family: "Bokor", system-ui;
  font-weight: 400;
  font-style: normal;
  perspective: 1000px;
  display: flex;
  /* Remove this if you don't want the 3D effect */
}

/* This container is needed to position the front and back side */
.flip-card-inner {
  position: relative;
  width: 10vw;
  height: 10vw;
  text-align: center;
  transition: transform 0.4s;
  transform-style: preserve-3d;
  font-family: "Bokor", system-ui;
  font-weight: 400;
  vertical-align: middle;

  font-style: normal;
}

/* Do an horizontal flip when you move the mouse over the flip box container */
.flip-card:hover .flip-card-inner {
  transform: rotateY(180deg);
  font-family: "Bokor", system-ui;
  font-weight: 400;
  font-style: normal;
  vertical-align: middle;


}

/* Position the front and back side */
.flip-card-front,
.flip-card-back {
  position: absolute;
  width: 10vw;
  height: 10vw;
  -webkit-backface-visibility: hidden;
  /* Safari */
  backface-visibility: hidden;
  font-family: "Bokor", system-ui;
  font-weight: 400;
  vertical-align: middle;

  font-style: normal;
}

/* Style the front side (fallback if image is missing) */
.flip-card-front {
  align-items: center;
  vertical-align: middle;
  color: black;
}

/* Style the back side */
.flip-card-back {
  background-color: rgb(0, 0, 0);
  color: white;
  transform: rotateY(180deg);
  font-family: "Bokor", system-ui;
  font-weight: 400;
  font-style: normal;
  vertical-align: middle;

}

